Package org.apache.commons.compress.harmony.archive.internal.nls

# Class Messages

java.lang.Object
org.apache.commons.compress.harmony.archive.internal.nls.Messages

public class Messages extends Object
This class retrieves strings from a resource bundle and returns them, formatting them with MessageFormat when required.

It is used by the system classes to provide national language support, by looking up messages in the `org.apache.commons.compress.harmony.archive.internal.nls.messages` resource bundle. Note that if this file is not available, or an invalid key is looked up, or resource bundle support is not available, the key itself will be returned as the associated message. This means that the KEY should a reasonable human-readable (english) string.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Messages()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `format(String format, Object[] args)`
  Generates a formatted text string given a source string containing "argument markers" of the form "{argNum}" where each argNum must be in the range 0..9.
  `static String`
  `getString(String msg)`
  Retrieves a message which has no arguments.
  `static String`
  `getString(String msg, char arg)`
  Retrieves a message which takes 1 character argument.
  `static String`
  `getString(String msg, int arg)`
  Retrieves a message which takes 1 integer argument.
  `static String`
  `getString(String msg, Object arg)`
  Retrieves a message which takes 1 argument.
  `static String`
  `getString(String msg, Object[] args)`
  Retrieves a message which takes several arguments.
  `static String`
  `getString(String msg, Object arg1, Object arg2)`
  Retrieves a message which takes 2 arguments.
  `static ResourceBundle`
  `setLocale(Locale locale, String resource)`
  Changes the locale of the messages.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Messages

    public Messages()

- ## Method Details

  - ### format

    public static String format(String format, Object[] args)
    Generates a formatted text string given a source string containing "argument markers" of the form "{argNum}" where each argNum must be in the range 0..9. The result is generated by inserting the toString of each argument into the position indicated in the string.

    To insert the "{" character into the output, use a single backslash character to escape it (i.e. "\{"). The "}" character does not need to be escaped.

    Parameters:
      `format` - String the format to use when printing.
      `args` - Object[] the arguments to use.
    Returns:
      String the formatted message.

  - ### getString

    public static String getString(String msg)
    Retrieves a message which has no arguments.
    Parameters:
      `msg` - String the key to look up.
    Returns:
      String the message for that key in the system message bundle.

  - ### getString

    public static String getString(String msg, char arg)
    Retrieves a message which takes 1 character argument.
    Parameters:
      `msg` - String the key to look up.
      `arg` - char the character to insert in the formatted output.
    Returns:
      String the message for that key in the system message bundle.

  - ### getString

    public static String getString(String msg, int arg)
    Retrieves a message which takes 1 integer argument.
    Parameters:
      `msg` - String the key to look up.
      `arg` - int the integer to insert in the formatted output.
    Returns:
      String the message for that key in the system message bundle.

  - ### getString

    public static String getString(String msg, Object arg)
    Retrieves a message which takes 1 argument.
    Parameters:
      `msg` - String the key to look up.
      `arg` - Object the object to insert in the formatted output.
    Returns:
      String the message for that key in the system message bundle.

  - ### getString

    public static String getString(String msg, Object arg1, Object arg2)
    Retrieves a message which takes 2 arguments.
    Parameters:
      `msg` - String the key to look up.
      `arg1` - Object an object to insert in the formatted output.
      `arg2` - Object another object to insert in the formatted output.
    Returns:
      String the message for that key in the system message bundle.

  - ### getString

    public static String getString(String msg, Object[] args)
    Retrieves a message which takes several arguments.
    Parameters:
      `msg` - String the key to look up.
      `args` - Object[] the objects to insert in the formatted output.
    Returns:
      String the message for that key in the system message bundle.

  - ### setLocale

    public static ResourceBundle setLocale(Locale locale, String resource)
    Changes the locale of the messages.
    Parameters:
      `locale` - Locale the locale to change to.
      `resource` - resource name.
    Returns:
      The ResourceBundle.